MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000606Xdebug(No Category)public2010-08-11 12:522011-08-13 16:18
Reporterdegoo 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000606: evaluate a $this->... expression when $this is not accesible crash xdebug
Description<?php
class my_class
{
   public $legolas;
}

$a = new my_class();
$a->legolas = 5; <--------- when code is here, if i send an eval command with '$this->legolas', xdebug crash. When $this is defined, no problema at all.
Additional Informationseems if $this is undefined, if a eval command is sent, xdebug crash
TagsNo tags attached.
Operating System
PHP Version5.3.3
Attached Fileslog file icon xdebug.log [^] (7,666 bytes) 2011-04-29 17:32

- Relationships
has duplicate 0000704resolvedderick Every PHP FatalError causes xdebug to crash 

-  Notes
(0001557)
derick (administrator)
2010-08-13 09:27

Please provide:
- the output of your remote debug log: http://xdebug.org/docs/remote#remote_log [^]
- a gdb backtrace of the crash: http://bugs.php.net/bugs-generating-backtrace.php [^] (Under "If you can't get a core file")
(0001730)
nnmatveev (reporter)
2011-04-29 17:31

<?php
echo isset($this);//breakpoint here
echo isset($this);
echo isset($this);

---
try to evaluate expression "$this->property" while staying on breakpoint - it will cause crash.
Attempt to access property of any other undefined variable doesn't cause crash(for example $a->property).

Related issue from PhpStorm tracker - http://youtrack.jetbrains.net/issue/WI-5525 [^]
(0001770)
derick (administrator)
2011-08-03 23:49

I've found an ugly way for this, could you please try the following patch:

http://derickrethans.nl/files/dump/xdebug-issue606.diff.txt [^]
(0001775)
derick (administrator)
2011-08-13 16:18

Fixed for 2.1.3 and 2.2dev.

- Issue History
Date Modified Username Field Change
2010-08-11 12:52 degoo New Issue
2010-08-11 12:52 degoo PHP Version => 5.3.3
2010-08-11 12:52 degoo Xdebug Version => 2.1.0
2010-08-13 09:27 derick Note Added: 0001557
2010-08-13 09:27 derick Status new => feedback
2011-04-29 17:31 nnmatveev Note Added: 0001730
2011-04-29 17:32 nnmatveev File Added: xdebug.log
2011-08-01 21:56 derick Relationship added has duplicate 0000704
2011-08-03 23:49 derick Note Added: 0001770
2011-08-13 16:18 derick Note Added: 0001775
2011-08-13 16:18 derick Status feedback => closed
2011-08-13 16:18 derick Assigned To => derick
2011-08-13 16:18 derick Resolution open => fixed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker